MethodUtils.MethodDescriptor (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class MethodUtils.MethodDescriptor

    java.lang.Object
      griffon.util.MethodUtils.MethodDescriptor

    private static class MethodUtils.MethodDescriptor

Represents the key to looking up a Method by reflection.

Field Summary
`private Class` | `cls`
`private boolean` | `exact`
`private int` | `hashCode`
`private String` | `methodName`
`private Class[]` | `paramTypes`

Constructor Summary
`MethodUtils.MethodDescriptor(Class cls, String methodName, Class[] paramTypes, boolean exact)` The sole constructor.

Method Summary
`boolean` | `equals(Object obj)` Checks for equality.
`int` | `hashCode()` Returns the string length of method name.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### cls

    private Class cls

### exact

    private boolean exact

### hashCode

    private int hashCode

### methodName

    private String methodName

### paramTypes

    private Class[] paramTypes

Constructor Detail

### MethodUtils.MethodDescriptor

    public MethodUtils.MethodDescriptor(Class cls, String methodName, Class[] paramTypes, boolean exact)

  The sole constructor.
  Parameters:
    `cls` - the class to reflect, must not be null
    `methodName` - the method name to obtain
    `paramTypes` - the array of classes representing the paramater types
    `exact` - whether the match has to be exact.

Method Detail

### equals

    public boolean equals(Object obj)

  Checks for equality.
  Parameters:
    `obj` - object to be tested for equality
  Returns:
    true, if the object describes the same Method.

### hashCode

    public int hashCode()

  Returns the string length of method name. I.e. if the hashcodes are different, the objects are different. If the hashcodes are the same, need to use the equals method to determine equality.
  Returns:
    the string length of method name.

Groovy Documentation